#ifndef DOGCORE_H
#define DOGCORE_H

#include <QObject>
#include <QTimer>
#include <QDateTime>

class DogCore : public QObject
{
    Q_OBJECT
public:
    explicit DogCore(QObject *parent = nullptr);
    ~DogCore();
    void start();

signals:

public slots:
    void time_out();

private:
    int hour;
    uint chkTime;
    QTimer *timer;

};

#endif // DOGCORE_H
